@echo off
rem Sicheres Loeschen des Datentraegers durch berschreiben mit vielen kleinen
rem Dateien mit hex-00 Inhalt.
rem Pro Verzeichnis (hier 3) werden 10.000 Dateien (die Anzahl ist optimiert
rem fuer kleine USB-Sticks oder aeltere Festplatten, kann aber natuerlich 
rem gendert werden) von 4 KB Groesse geschrieben. Anschliessend wieder
rem geloescht.
rem Sinn der Uebung ist es, moeglichst alle Sektoren (und auch von bestimmten
rem Systemen uebrig gelassene Teile davon) zu leeren. Ausserdem werden viele 
rem Eintraege in das Verzeichnis gemacht, so dass dort auch die ehemaligen
rem Nutzerdaten (Namen der geloeschten Dateien) verdraengt werden. Dass der
rem Inhalt der Dateien sicher geloescht ist, und auch mit den Namen jeder
rem Hinweis auf die Existenz.
rem 30.000 Dateien wuerden maximal 120 MB einnehmen, wenn weniger vorhanden 
rem ist, wird eben entsprechend vorher aufgehoert. Tatsaechlich sind aber 
rem die 3 Verzeichnisse nicht gleichzeitig vorhanden, sondern werden 
rem (aus logischen Gruenden des NulWrite Programms) nacheinander aufgebaut
rem und geloescht. 
rem Die 4 KB Groesse kann im hexaw.bat als erster Parameter des NulWrite 
rem geaendert werden, dies sollte aber nur gemacht werden, wenn es wichtige 
rem Gruende dafuer gibt.
@echo off
call hexaw 10000 10000 j abrax
call hexaw 20000 10000 j babrax
call hexaw 30000 10000 j califax
@echo on